Create Video
curl --request POST \
--url https://api.example.com/v1/videos \
--header 'Content-Type: application/json' \
--data '
{
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modifications": [
{
"name": "<string>",
"text": "<string>",
"image_url": "<string>",
"color": "<string>",
"number": 123
}
],
"duration_seconds": 30.25,
"fps": 35,
"webhook_url": "<string>",
"metadata": {}
}
'import requests
url = "https://api.example.com/v1/videos"
payload = {
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modifications": [
{
"name": "<string>",
"text": "<string>",
"image_url": "<string>",
"color": "<string>",
"number": 123
}
],
"duration_seconds": 30.25,
"fps": 35,
"webhook_url": "<string>",
"metadata": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
template_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
modifications: [
{
name: '<string>',
text: '<string>',
image_url: '<string>',
color: '<string>',
number: 123
}
],
duration_seconds: 30.25,
fps: 35,
webhook_url: '<string>',
metadata: {}
})
};
fetch('https://api.example.com/v1/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_version": 123,
"status": "<string>",
"modifications": [
{}
],
"duration_seconds": 123,
"fps": 123,
"width": 123,
"height": 123,
"result_url": "<string>",
"thumbnail_url": "<string>",
"error": {},
"duration_ms": 123,
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"object": "video"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}videos
Create Video
POST
/
v1
/
videos
Create Video
Query Parameters
Body
application/json
Response
Successful Response